﻿-- Author      : Nogarder
-- Create Date : 2013/4/7 11:23:11
local NPA_NamePlateDataParser_AddElements=NPA.NamePlateDataParser.AddElements

local NPA_NamePlateModuleManager_ZipModule=NPA.NamePlateModuleManager.ZipModule
local NPA_NamePlateModuleManager_UnzipModule=NPA.NamePlateModuleManager.UnzipModule

local UnitGUID=UnitGUID

NPA.NamePlateModuleManager.RegisterDataModule("TextureGroup","Focus",function(framedata,textureframe,setting)
	--zip it first
	NPA_NamePlateModuleManager_ZipModule(textureframe)
	--add event elements
	NPA_NamePlateDataParser_AddElements(framedata,textureframe,"ModuleMain_OnUpdate",function(framedata)
		local focus="focus"
		--endtime==nil means casting is ended
		if(UnitExists(focus) and framedata.GUID==UnitGUID(focus))then
			--show it
			NPA_NamePlateModuleManager_UnzipModule(textureframe)
		else
			NPA_NamePlateModuleManager_ZipModule(textureframe)
		end
	end)
end)